Ask Your Question
0

container service ZUN

asked 2018-11-17 12:19:05 -0500

raniaadouni gravatar image

why in openstack Pike there is no installation guide for zun !!! there is any one have instruction of installation or I can use Zun of openstack queens !!

edit retag flag offensive close merge delete

Comments

hello friend. excuse me do you use zun for what? thanks for answering

novainfinite gravatar imagenovainfinite ( 2018-11-17 12:36:40 -0500 )edit
1

it is OpenStack Containers service. It aims to provide an API service for running application containers without need to manage servers or clusters. and Zun is for users who want to treat containers as OpenStack-managed resource https://www.openstack.org/software/re...

raniaadouni gravatar imageraniaadouni ( 2018-11-17 12:54:35 -0500 )edit

thanks friend

novainfinite gravatar imagenovainfinite ( 2018-11-18 02:22:00 -0500 )edit

Obviously it wasn't written yet at Pike. I have the feeling, though, that there is only one guide, no matter what release. So, the Queens guide might work for Pike as well. You could contact the author (https://review.openstack.org/#/c/504537/) to confirm.

Bernd Bausch gravatar imageBernd Bausch ( 2018-11-18 03:30:45 -0500 )edit

hi , I did post there , I hope they reply because also for kuryr-libnetwork there is no version of pike !!! but if you can tell me there is any of this project Murano , Magnum, Zun you did deploy and tested !!

raniaadouni gravatar imageraniaadouni ( 2018-11-18 09:53:51 -0500 )edit

1 answer

Sort by ยป oldest newest most voted
0

answered 2018-11-19 14:27:23 -0500

hongbin034 gravatar image

Hi,

I am sorry for the missing of installation guide for Pike. The reason is simply because we wrote installation guide starting from Queens and maintain the guide afterward. Backporting the installation guide to Pike is on our TODO list but it might not happen right away. You could refer Queen's version of installation guide [1] as a reference with the following modifications:

  • Clone Kuryr-libnetwork 0.2.0 instead of stable/queens
  • Install python-zunclient 0.4.0 instead of 1.1.0

There could be other pitfalls and you are welcome to contact the Zun team if you find any issue. We provide community support in the following ways (of course, you are welcome to continue to use AskOpenStack for support and I will try to monitor the questions here):

[1] https://docs.openstack.org/zun/queens...

edit flag offensive delete link more

Comments

thanks for you replay I will try it with instruction that you mention and I hope I don't get a lots of issue

raniaadouni gravatar imageraniaadouni ( 2018-11-19 16:53:23 -0500 )edit

hongbin,I did finish installation zun with the your instruction but now when I try to create container i get this error Docker internal error: 500 Server Error: Internal Server Error ("legacy plugin: Post http://192.168.1.10:23750/Plugin.Acti...: dial tcp 192.168.1.10:23750: connection refused")

raniaadouni gravatar imageraniaadouni ( 2018-11-19 21:50:57 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2018-11-17 12:19:05 -0500

Seen: 48 times

Last updated: Nov 19 '18